VLC again.

Anything that pertains to Portage

Moderator: Moderators

Re: VLC again.

Postby joost » Mon Dec 03, 2007 15:20

The fun part is, Sabayon can do it all.

The equo (compare with apt-get) tool soon will be fully operational, togheter with spritz (compare with synaptic) as its Graphical front end.
It still is under heavy development, but it will serve people that like to be able to quickly install binaries very soon. The fun part is, its fully compatible with Gentoo portage.

little offtopic but anyway:

If you like, you might wanna give it a try:

First update to latest equo version.
Code: Select all
layman -S && emerge equo


Then install vlc.
Code: Select all
equo install vlc
joost
Sagely Hen
 
Posts: 2638
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands

Re: VLC again.

Postby asinine » Mon Dec 03, 2007 16:10

I'll give it a try I'll put money on it not working. So far the only this I've managed to do on sabayon is surf the net and install stardict, I can't do anything else as its broken. Damnit I wish I shaken your hand:

Code: Select all
>> !!! If the error is about missing tables in the database, just run 'equo database generate' again !!!
>> Ok, back here. Let me see if you are connected to the Internet. Yes, I am blue now, so?
>> Of course you are on the Internet...
   Erm... Can I send the error to my creators so they can fix me? [Yes/No] y


Then error message:

Code: Select all
ocalhost laptop # equo database generate
>> ATTENTION: The installed package database will be generated again using Gentoo one.
>> If you dont know what you're doing just, don't do this. Really. I'm not joking.
  Understood? [Yes/No] y
  Really? [Yes/No] y
  This is your last chance. Ok? [Yes/No] y


At least the guy who wrote equo has a sense of humour about error messages plus I was lying I dont know what I've just done. Well it downloaded it and installed it and now VLC wont even play the audio but at least equo fails colourfully! A little off topic but I can't even world emerge some error message:

Code: Select all
!!! All ebuilds that could satisfy ">=x11-base/xorg-server-1.4" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-base/xorg-server-1.4-r2 (masked by: package.mask)
/etc/portage/package.mask:
#=media-sound/jack-audio-connection-kit-0.102.20

- x11-base/xorg-server-1.4-r3 (masked by: package.mask)
- x11-base/xorg-server-1.4-r4 (masked by: package.mask)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.
(dependency required by "x11-drivers/xf86-input-joystick-1.3.0" [ebuild])



!!! Problem resolving dependencies for kde-base/kpf
!!! Depgraph creation failed.


So basically I have an operating system that is less configurable than windows from a linux distro that apparently is the most configurable in the world, how ironic.
asinine
Baby Hen
 
Posts: 11
Joined: Sat Dec 01, 2007 22:54

Re: VLC again.

Postby joost » Mon Dec 03, 2007 16:27

Then error message:

Thats not an error message at all. It needs to build a database of all packages that are currently installed on your system.
:D
If thats done you can try:
Code: Select all
equo update


and

Code: Select all
equo install vlc

Please let me know if it worked.

(You did update to latest equo version did ya?)
joost
Sagely Hen
 
Posts: 2638
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands

Re: VLC again.

Postby asinine » Mon Dec 03, 2007 16:55

Latest version installed. As mentioned VLC is even worse as now it wont even play the audio.

Edit: spoken too soon equo is now broken and wont install anything so am removing it because I cant be bothered trying to work this out:

Code: Select all
Traceback (most recent call last):
  File "equo", line 143, in ?
    import equoTools
  File "/usr/lib/entropy/client/equoTools.py", line 31, in ?
    from databaseTools import openRepositoryDatabase, openClientDatabase, openGenericDatabase, fetchRepositoryIfNotAvailable, listAllAvailableBranches
  File "../libraries/databaseTools.py", line 33, in ?
    from pysqlite2 import dbapi2 as sqlite
  File "../libraries/pysqlite2/dbapi2.py", line 27, in ?
    from pysqlite2._sqlite import *
ImportError: libpython2.5.so.1.0: cannot open shared object file: No such file or directory
asinine
Baby Hen
 
Posts: 11
Joined: Sat Dec 01, 2007 22:54

Re: VLC again.

Postby joost » Mon Dec 03, 2007 17:07

Its very much possible you borked your system earlier with upgrading a package using emerge.

:D

Might wanna run:
Code: Select all
devdep-rebuild -X


To see if things are broken, it will automatically fix that for you.
joost
Sagely Hen
 
Posts: 2638
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands

Re: VLC again.

Postby asinine » Mon Dec 03, 2007 17:24

Does that work for every program I break or just equo, I reinstalled it and it works again, though VLC is shafted! Heres a list of things I would like to be able to do:

Be able to unmask some stuff so I can update the whole system and understand why it was masked in the first place.
Actually be able to update my system.
Play video files with sound and video oh a dvds etc.
Install whatever programs I want (That are compatible) so that they actually work.

At the minute I cant do any of the above. I have a few questions:

Does sabayon actually work? I'm beginning to think its just someones idea of a twisted joke.
Is there an easy way to accomplish very simple things on sabayon without having to be a programming god ?
Should I just reinstall sabayon and hope it works next time?
Or should I give up?
asinine
Baby Hen
 
Posts: 11
Joined: Sat Dec 01, 2007 22:54

Re: VLC again.

Postby joost » Mon Dec 03, 2007 19:35

What sabayon version did you install anyway?

And yes, we are always joking around.
joost
Sagely Hen
 
Posts: 2638
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands

Re: VLC again.

Postby asinine » Mon Dec 03, 2007 20:03

3.4e mini edition. I tried the normal 3.4f the first time and the kde menu didn't work on the livecd and when I installed it it didn't boot. But I was determined to have sabayon , I thought it was good because it picked up my proper screen resolution straight away 1200x800 which even the gentoo livecd didn't. I think I might try slackware or a derivative since I'm getting no joy with sabayon.
asinine
Baby Hen
 
Posts: 11
Joined: Sat Dec 01, 2007 22:54

Re: VLC again.

Postby Merlin7777 » Mon Dec 03, 2007 20:43

If SMPlayer officially, "broke" after you tried my fix, you should post the smplayer and/or mplayer logs as mentioned before. It will really help us to find a solution.
Merlin7777
Simple Hen
 
Posts: 80
Joined: Sun Nov 25, 2007 3:47

Re: VLC again.

Postby asinine » Mon Dec 03, 2007 20:50

I can't actually get it reinstalled I keep getting an error 404 which I assume means the file isn't where emerge is looking for it.
asinine
Baby Hen
 
Posts: 11
Joined: Sat Dec 01, 2007 22:54

PreviousNext

Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest

cron